=== debian/control ===
Source: ruby-facets
Section: ruby
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
DM-Upload-Allowed: yes
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.7~), rake
Build-Depends-Indep: graphviz
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-facets.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-facets.git;a=summary
Homepage: http://rubyworks.github.com/facets
XS-Ruby-Versions: all

Package: ruby-facets
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Description: extensive additions and extensions library for Ruby
 Ruby Facets is the single largest collection of core extension
 methods and standard library additions available for the Ruby
 programming language. 
 .
 The core library extend existing base classes with lot's of
 convenient methods and new base objects (Binding, Functor,
 Stackable, ...).
 .
 In addition to the core libraries, Facets provides dozens of
 additional classes, modules, mixins and light-weight frameworks.
 These solid libraries provide a general-purpose set of
 components commonly useful across a variety of applications
 (Dictionary, LinkedList, PQueue, Random, ...).
Replaces: libfacets-ruby1.8 (<< 2.9.2-1~), libfacets-ruby1.9.1 (<< 2.9.2-1~), libfacets-ruby (<< 2.9.2-1~)
Breaks: libfacets-ruby1.8 (<< 2.9.2-1~), libfacets-ruby1.9.1 (<< 2.9.2-1~), libfacets-ruby (<< 2.9.2-1~)
Provides: libfacets-ruby1.8, libfacets-ruby1.9.1, libfacets-ruby

Package: ruby-facets-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: libfacets-ruby-doc (<< 2.9.2-1~)
Breaks: libfacets-ruby-doc (<< 2.9.2-1~)
Provides: libfacets-ruby-doc
Suggests: doc-base
Description: extensive additions and extensions library for Ruby -- API documentation
 This is the Rdoc-generated documentation for Facets API.

Package: libfacets-ruby1.8
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ruby-facets
Description: Transitional package for ruby-facets
 This is a transitional package to ease upgrades to the ruby-facets
 package. It can safely be removed.

Package: libfacets-ruby1.9.1
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ruby-facets
Description: Transitional package for ruby-facets
 This is a transitional package to ease upgrades to the ruby-facets
 package. It can safely be removed.

Package: libfacets-ruby
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ruby-facets
Description: Transitional package for ruby-facets
 This is a transitional package to ease upgrades to the ruby-facets
 package. It can safely be removed.

Package: libfacets-ruby-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ruby-facets-doc
Description: Transitional package for ruby-facets
 This is a transitional package to ease upgrades to the ruby-facets
 package. It can safely be removed.
