=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_build:
	dh_auto_build
	mkdir -p site/doc/api
	ln -s . lib/facets		# workaround
	rake rdoc

LIB_INSTALL_PATH=debian/ruby-facets/usr/lib/ruby/vendor_ruby

override_dh_auto_install:
	dh_auto_install
	# workaround
	mv ${LIB_INSTALL_PATH}/core/facets.rb ${LIB_INSTALL_PATH}/
	mkdir ${LIB_INSTALL_PATH}/facets
	for p in core core-uncommon standard supplemental; do \
		cp -r ${LIB_INSTALL_PATH}/$${p}/facets/* ${LIB_INSTALL_PATH}/facets/;\
		rm -rf ${LIB_INSTALL_PATH}/$${p};\
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -f lib/facets		# workaround
	rm -rf site/doc/api
