## ruby-facets 2.9.3

=== debian/changelog ===
ruby-facets (2.9.3-2) unstable; urgency=medium

  * Build-Depends on libjs-jquery which is needed for rdoc generation
    (see #760952) (Closes: #761557).
  * Removed now useless B-D on graphviz (rdoc does not use it anymore).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 16 Sep 2014 14:24:41 +0200

ruby-facets (2.9.3-1) unstable; urgency=low

  * New upstream release:
    - rakefile is gone, switched back to setuprb method
    - recreated documention build rules and adapted to new paths
  * Updated copyright file.
  * Increased Standards-Version to 3.9.4 (no changes).
  * Removed transitional libfacets-* package and obsolete relations.
  * Use system JQuery library instead of embedded one for documentation.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 21 Jun 2013 14:41:38 +0200
