=== debian/control ===
Source: ruby-facets
Section: ruby
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.7~), ruby-setup, libjs-jquery
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-facets.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/ruby-facets.git;a=summary
Homepage: http://rubyworks.github.com/facets
XS-Ruby-Versions: all

Package: ruby-facets
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Description: extensive additions and extensions library for Ruby
 Ruby Facets is the single largest collection of core extension
 methods and standard library additions available for the Ruby
 programming language. 
 .
 The core library extend existing base classes with lot's of
 convenient methods and new base objects (Binding, Functor,
 Stackable, ...).
 .
 In addition to the core libraries, Facets provides dozens of
 additional classes, modules, mixins and light-weight frameworks.
 These solid libraries provide a general-purpose set of
 components commonly useful across a variety of applications
 (Dictionary, LinkedList, PQueue, Random, ...).

Package: ruby-facets-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Suggests: doc-base
Description: extensive additions and extensions library for Ruby -- API documentation
 This is the Rdoc-generated documentation for Facets API.
