=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,24 @@
 # If you need to specify the .gemspec (eg there is more than one)
 #export DH_RUBY_GEMSPEC=gem.gemspec
 
+DOC_DIR = build-doc/api
+
 %:
-	dh $@ --buildsystem=ruby --with ruby
+	dh $@ --buildsystem=rubysetuprb --with ruby
+
+override_dh_auto_configure:
+	ln -s /usr/lib/ruby/vendor_ruby/setup.rb .
+	dh_auto_configure
 
 override_dh_auto_build:
 	dh_auto_build
-	mkdir -p site/doc/api
-	ln -s . lib/facets		# workaround
-	rake rdoc
+	mkdir -p $(DOC_DIR)
+	ln -s ./core/facets lib/facets # workaround
+	rdoc -a -t 'Facets Core API' -f darkfish -m README.rdoc -o '$(DOC_DIR)/core' README.rdoc lib/facets
+	rm lib/facets
+	ln -s ./standard/facets lib/facets # workaround
+	rdoc -a -t 'Facets Standard API' -f darkfish -m README.rdoc -o '$(DOC_DIR)/standard' README.rdoc lib/facets
+	rm lib/facets
 
 LIB_INSTALL_PATH=debian/ruby-facets/usr/lib/ruby/vendor_ruby
 
@@ -27,13 +37,20 @@
 	# workaround
 	mv ${LIB_INSTALL_PATH}/core/facets.rb ${LIB_INSTALL_PATH}/
 	mkdir ${LIB_INSTALL_PATH}/facets
-	for p in core core-uncommon standard supplemental; do \
+	for p in core standard; do \
 		cp -r ${LIB_INSTALL_PATH}/$${p}/facets/* ${LIB_INSTALL_PATH}/facets/;\
 		rm -rf ${LIB_INSTALL_PATH}/$${p};\
 	done
 
+override_dh_installdocs:
+	dh_installdocs
+	# use the system library
+	rm debian/ruby-facets-doc/usr/share/doc/ruby-facets-doc/api/core/js/jquery.js
+	dh_link -p ruby-facets-doc usr/share/javascript/jquery/jquery.js usr/share/doc/ruby-facets-doc/api/core/js/jquery.js
+	rm debian/ruby-facets-doc/usr/share/doc/ruby-facets-doc/api/standard/js/jquery.js
+	dh_link -p ruby-facets-doc usr/share/javascript/jquery/jquery.js usr/share/doc/ruby-facets-doc/api/standard/js/jquery.js
+
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f lib/facets		# workaround
-	rm -rf site/doc/api
+	rm -rf setup.rb build-doc
